Query roles

Base URL
https://{kibana_url}
  • POST /api/security/role/_query
Auth

Query Kibana roles with optional filters, paging, and sorting.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

from number
query string
size number

Response

Indicates a successful call.

application/json
count number required

The number of roles returned in this response page.

roles object[] required
_unrecognized_applications string[]
description string

A description for the role.

elasticsearch object required

The Elasticsearch cluster, index, and remote cluster security privileges for the role.

cluster string[] · max items: 100
run_as string[] · max items: 100
kibana object[] required
_reserved string[]
base string[] required
feature map string to string required
spaces string[] required
metadata map string to object
name string required

The role name.

transient_metadata map string to object
total number required

The total number of roles that match the query.

Base URL
https://{kibana_url}